﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace CollectionFieldAsString
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            List<Data> data = new List<Data>();

            for (int i = 0; i < 10; i++)
            {
                Data d = new Data
                {
                    ID = i,
                    Name = "Item " + i,
                    Children = new List<Data>()
                };

                for (int j = 0; j < 5; j++)
                {
                    d.Children.Add(new Data { ID = j, Name = "Child Item " + j });
                }

                data.Add(d);
            }

            DataContext = data;
        }
    }

    public class Data
    {
        public int ID { get; set; }
        public string Name { get; set; }
        public List<Data> Children { get; set; }
    }
}
